## blop-lv2 1.0.4

=== meson_options.txt ===
# Copyright 2021-2022 David Robillard <d@drobilla.net>
# SPDX-License-Identifier: CC0-1.0 OR MIT

option('lv2dir', type: 'string', value: '', yield: true,
       description: 'LV2 bundle installation directory')

option('rate', type: 'integer', value: 48000, yield: true,
       description: 'Ideal sample rate for oscillators')

option('strict', type: 'boolean', value: false, yield: true,
       description: 'Enable ultra-strict warnings')

option('tests', type: 'feature', value: 'auto', yield: true,
       description: 'Build tests')

option('title', type: 'string', value: 'BLOP.lv2',
       description: 'Project title')

=== debian/changelog ===
blop-lv2 (1.0.4-1) unstable; urgency=medium

  * Initial release (Closes: #981304)

 -- Dennis Braun <snd@debian.org>  Sun, 04 Dec 2022 15:54:21 +0100

=== debian/control ===
Source: blop-lv2
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Dennis Braun <snd@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 lv2-dev,
 meson,
 pkg-config
Standards-Version: 4.6.1
Homepage: https://drobilla.net/software/blop-lv2.html
Vcs-Git: https://salsa.debian.org/multimedia-team/blop-lv2.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/blop-lv2
Rules-Requires-Root: no

Package: blop-lv2
Provides:
 lv2-plugin
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Bandlimited LADSPA Oscillator Plugins ported to LV2
 This package provides Mike Rawes' BLOP plugins ported to the
 LV2 specification.
 .
 LV2 (LADSPA version 2) is an open standard for plugins and matching
 host applications, mainly targeted at audio processing and generation.
 .
 This package provides the following plugins:
  * Bandlimited Sawtooth Oscillator
  * Bandlimited Square Oscillator
  * Bandlimited Variable Width Pulse Oscillator
  * Bandlimited Variable Slope Triangle Oscillator
  * Random Wave Generator
  * Mono Amplifier
  * 4 Pole Low Pass Filter with Resonance
  * ADSR Envelope Generator
  * ADSR Envelope Generator with Gate and Trigger
  * DAHDSR Envelope Generator with Gate and Trigger
  * Sequencer
  * Quantiser
  * Clock Oscillator with Gate
  * Clock Pulse Oscillator with Gate
  * Frequency Modulator
  * Control to Audio Interpolator
  * Signal Tracker
  * Signal Sum
  * Signal Difference
  * Signal Product
  * Signal Ratio
  * Signal Branch

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIG += strict

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --libdir=lib/

=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.drobilla.net/blop-lv2-(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
